AetherArtifactResultReport (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether

## [Groovy] Class AetherArtifactResultReport

- org.codehaus.groovy.grails.resolve.maven.aether.AetherArtifactResultReport

- All Implemented Interfaces and Traits:
    DependencyReport

      @groovy.transform.CompileStatic
      class AetherArtifactResultReport

  Implementation of the DependencyReport interface that adapts Aether's ArtifactResult class

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<org.eclipse.aether.resolution.ArtifactResult>` | `artifactResults`
    `java.lang.String` | `scope`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AetherArtifactResultReport (java.lang.String scope, java.util.List<org.eclipse.aether.resolution.ArtifactResult> artifactResults)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<java.io.File>` | `getAllArtifacts()`
    `java.lang.String` | `getClasspath()`
    `java.io.File[]` | `getFiles()`
    `java.util.List<java.io.File>` | `getJarFiles()`
    `java.util.List<java.io.File>` | `getPluginZips()`
    `java.lang.Throwable` | `getResolveError()`
    `java.util.List<ResolvedArtifactReport>` | `getResolvedArtifacts()`
    `boolean` | `hasError()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.List<org.eclipse.aether.resolution.ArtifactResult> artifactResults

    - #### java.lang.String scope

  - ### Constructor Detail

    - #### AetherArtifactResultReport(java.lang.String scope, java.util.List<org.eclipse.aether.resolution.ArtifactResult> artifactResults)

  - ### Method Detail

    - #### java.util.List<java.io.File> getAllArtifacts()

    - #### java.lang.String getClasspath()

    - #### java.io.File[] getFiles()

    - #### java.util.List<java.io.File> getJarFiles()

    - #### java.util.List<java.io.File> getPluginZips()

    - #### java.lang.Throwable getResolveError()

    - #### java.util.List<ResolvedArtifactReport> getResolvedArtifacts()

    - #### boolean hasError()